package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

import com.fasterxml.jackson.annotation.JsonFormat;

public class Message implements IEntity{
	/**
	 * 
	 */
	private static final long serialVersionUID = -4985996438355742136L;
	
		private long id; 			//主键
		private String title; 		//消息标题
		private String content;		//消息内容
		private String url;			//消息URL
		private Long forword;		//是否在内部打开		1内部		2外部
		private Long is_needsend;	//是否需要远程推送	1需要		2不需要
		private Long is_read;		//是否已读			1已读 	2未读
		
		@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")  
		private Date create_date;	//创建时间
		private Date read_date;		//打开时间
		private Long send_type;		//推送的类型		1文本 	2url 	3 内部页面
		private String remark;  	//备注
		private String send_result; //推送结果
		
		private Long user; //用户id
		
		public Message() {
			super();
		}

		public Message(long id, String title, String content, String url,
				Long forword, Long is_needsend, Long is_read, Date create_date,
				Date read_date, Long send_type, Long user) {
			super();
			this.id = id;
			this.title = title;
			this.content = content;
			this.url = url;
			this.forword = forword;
			this.is_needsend = is_needsend;
			this.is_read = is_read;
			this.create_date = create_date;
			this.read_date = read_date;
			this.send_type = send_type;
			this.user = user;
		}


		public long getId() {
			return id;
		}


		public void setId(long id) {
			this.id = id;
		}


		public String getTitle() {
			return title;
		}


		public void setTitle(String title) {
			this.title = title;
		}


		public String getContent() {
			return content;
		}


		public void setContent(String content) {
			this.content = content;
		}


		public String getUrl() {
			return url;
		}


		public void setUrl(String url) {
			this.url = url;
		}


		public Long getForword() {
			return forword;
		}


		public void setForword(Long forword) {
			this.forword = forword;
		}


		public Long getIs_needsend() {
			return is_needsend;
		}


		public void setIs_needsend(Long is_needsend) {
			this.is_needsend = is_needsend;
		}


		public Long getIs_read() {
			return is_read;
		}


		public void setIs_read(Long is_read) {
			this.is_read = is_read;
		}

		public Date getCreate_date() {
			return create_date;
		}


		public void setCreate_date(Date create_date) {
			this.create_date = create_date;
		}


		public Date getRead_date() {
			return read_date;
		}


		public void setRead_date(Date read_date) {
			this.read_date = read_date;
		}


		public Long getSend_type() {
			return send_type;
		}


		public void setSend_type(Long send_type) {
			this.send_type = send_type;
		}


		public Long getUser() {
			return user;
		}


		public void setUser(Long user) {
			this.user = user;
		}


		public String getRemark() {
			return remark;
		}


		public void setRemark(String remark) {
			this.remark = remark;
		}


		public String getSend_result() {
			return send_result;
		}


		public void setSend_result(String send_result) {
			this.send_result = send_result;
		}
		@Override
		public String toString() {
			return "Message [id=" + id + ", title=" + title + ", content="
					+ content + ", url=" + url + ", forword=" + forword
					+ ", is_needsend=" + is_needsend + ", is_read=" + is_read
					+ ", create_date=" + create_date + ", read_date="
					+ read_date + ", send_type=" + send_type + ", remark="
					+ remark + ", send_result=" + send_result + ", user="
					+ user + "]";
		}
	
}
